## Get a specific location

### cURL

```
curl --request GET \
  --url https://api.fabric.inc/v3/locations/{locationNumber} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-fabric-tenant-id: <x-fabric-tenant-id>'
```

### Python

```python
import requests

url = "https://api.fabric.inc/v3/locations/{locationNumber}"

headers = {
    "x-fabric-tenant-id": "<x-fabric-tenant-id>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript

```javascript
const options = {
  method: 'GET',
  headers: {'x-fabric-tenant-id': '<x-fabric-tenant-id>', Authorization: 'Bearer <token>'}
};

fetch('https://api.fabric.inc/v3/locations/{locationNumber}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://api.fabric.inc/v3/locations/{locationNumber}",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "GET",\
  CURLOPT_HTTPHEADER => [\
    "Authorization: Bearer <token>",\
    "x-fabric-tenant-id: <x-fabric-tenant-id>"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### Go

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://api.fabric.inc/v3/locations/{locationNumber}"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("x-fabric-tenant-id", "<x-fabric-tenant-id>")
	req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Java

```java
HttpResponse<String> response = Unirest.get("https://api.fabric.inc/v3/locations/{locationNumber}")
  .header("x-fabric-tenant-id", "<x-fabric-tenant-id>")
  .header("Authorization", "Bearer <token>")
  .asString();
```

### Ruby

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.fabric.inc/v3/locations/{locationNumber}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-fabric-tenant-id"] = '<x-fabric-tenant-id>'
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

### Response Codes

- 200: OK  
- 400: Bad Request  
- 401: Unauthorized  
- 404: Not Found  
- 500: Internal Server Error

### Sample Response

```json
{
  "locationNumber": 23,
  "name": "Seattle Store",
  "locationId": "9372919a8219e8",
  "isActive": true,
  "address": {
    "region": "WA",
    "addressLine1": 123,
    "addressLine2": "Suite 100",
    "addressLine3": "Seventh floor",
    "addressLine4": "Attention: Pat E. Kake",
    "city": "Seattle",
    "countryCode": "US",
    "postalCode": 98121,
    "type": "Home",
    "contacts": [
      {
        "type": "OFFICE",
        "email": "abc@mail.com",
        "phone": [
          {
            "number": "0281923712",
            "type": "MOBILE"
          }
        ],
        "name": {
          "firstName": "Pat",
          "middleName": "E",
          "lastName": "Kake"
        }
      }
    ]
  },
  "type": "DC",
  "capacity": {
    "maxAllocations": 30,
    "currentAllocations": 5,
    "infiniteAllocation": true,
    "allocationPercentage": 20,
    "isCapacityFull": true
  },
  "services": {
    "brand": "WHBM",
    "channel": "Frontline"
  },
  "zones": [
    "<string>"
  ],
  "createdAt": "2022-05-25T07:58:30.996Z",
  "updatedAt": "2022-05-25T07:58:30.996Z",
  "operatingHours": [
    {
      "day": "SUNDAY",
      "hours": [
        {
          "open": 10,
          "close": 20,
          "type": "PICK_UP"
        }
      ]
    }
  ],
  "coordinates": {
    "type": "Point",
    "coordinates": [
      -122.3493,
      47.6205
    ]
  },
  "attributes": {
    "isReturns": "true"
  },
  "supportedCarriers": [
    {
      "carrier": "FedEx",
      "serviceLevels": [
        {
          "name": "FedEx",
          "shippingMethod": "FedEx"
        }
      ]
    }
  ],
  "activeFulfillmentMethods": {
    "ShipToHome": "true"
  },
  "transfer": {
    "isAutoReceiving": true,
    "autoStockWindow": "PT10M"
  }
}
```

### Error Response Examples

```json
{
  "type": "CLIENT_ERROR",
  "errorCode": "SERVICE-4003",
  "message": "Mandatory param(s): `requiredField1` is/are missing",
  "errors": [
    {
      "type": "CLIENT_ERROR",
      "errorCode": "SERVICE-4002",
      "message": "Invalid value(s) specified for 'requiredField.field3'",
      "errors": []
    }
  ],
  "context": {
    "service": "orders",
    "endpoint": "POST /v3/orders"
  }
}
```

```json
{
  "type": "CLIENT_ERROR",
  "errorCode": "SERVICE-4001",
  "message": "Unauthorized request",
  "errors": [],
  "context": {
    "service": "orders",
    "endpoint": "POST /v3/orders/OrderId_12345"
  }
}
```

```json
{
  "message": "Location with locationNumber 123 is not found"
}
```

```json
{
  "type": "SERVER_ERROR",
  "errorCode": "SERVICE-5000",
  "message": "Internal server error",
  "errors": [],
  "context": {
    "service": "inventories",
    "endpoint": "POST /v3/inventories/actions/find-by-geography"
  }
}
```

### Authorizations

#### Authorization
- `string` header required.
- Bearer authentication header in the form `Bearer <token>`.

#### Headers
- `x-fabric-tenant-id`: required header to identify tenant making request.

#### Path Parameters
- `locationNumber`: required merchant-specified unique number to identify the location.

### Response
- `200`: Response object containing location details.
